#!/bin/sh
#
# Show command line as a whole, and all arguments separately.
#
# Volker Kuhlmann
#   18 Oct 1999; 31 Aug 2000; 2, 27 Jul 2002; 14 Jan 2003
#

## Solaris's PITA aka /bin/sh has neither source nor ~
## and doesn't load functions_vk.bash anyway
##source ~/bin/script/functions_vk.bash
#
#. ~/bin/script/functions_vk.bash
#show_args "$@"

echo "argv (#=$#): ""$@"

i=0
while [ $i -le $# ]; do
	#echo "argv[$i]:" "'`eval echo \\${$i}`'"
	echo "argv[$i]:`eval echo "\ \'\\${$i}\"`'"
	  # {.} around $i essential, or funny results when args start with
	  # digits!
	  # The echo after the eval interprets -e and -E. Force it to output
	  # some sane character first.
	i=`expr $i + 1`
done
